Skip to main content

Update Resident Pet: Yardi

PUThttps://api.propexo.com/v1/resident-pets/yardi/:pet_id

Update a resident pet in Yardi. All current pet fields are sent on update because Yardi deletes the pet if every field in the update is empty. Requires Common Data Plug-in 14+.

InterfaceMethod
Common DataUpdateResidentData

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

pet_id stringrequired

The Propexo unique identifier for the resident pet

Request​

This endpoint expects an object.

    typestring

    The type associated with the resident pet

    Possible values: <= 40 characters

    age_in_yearsinteger

    The age in years of the resident pet

    Possible values: >= 0

    breedstring

    The breed of the resident pet

    Possible values: <= 1000 characters

    colorstring

    The color of the resident pet

    Possible values: <= 40 characters

    gender_rawstring

    The raw value for the gender of the resident pet

    Possible values: <= 40 characters

    is_fixedboolean

    Whether the resident pet is fixed

    is_service_animalboolean

    Whether the resident pet is a service animal. This field requires your customer uses Plug-in 17+ in Yardi Voyager.

    namestring

    The name associated with the resident pet

    Possible values: <= 40 characters

    weight_in_poundsinteger

    The weight in pounds of the resident pet

    Possible values: >= 0

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    pet_idstringrequired

    The Propexo unique identifier for the resident pet

    typestring

    The type associated with the resident pet

    Possible values: <= 40 characters

    age_in_yearsinteger

    The age in years of the resident pet

    Possible values: >= 0

    breedstring

    The breed of the resident pet

    Possible values: <= 1000 characters

    colorstring

    The color of the resident pet

    Possible values: <= 40 characters

    gender_rawstring

    The raw value for the gender of the resident pet

    Possible values: <= 40 characters

    is_fixedboolean

    Whether the resident pet is fixed

    is_service_animalboolean

    Whether the resident pet is a service animal. This field requires your customer uses Plug-in 17+ in Yardi Voyager.

    namestring

    The name associated with the resident pet

    Possible values: <= 40 characters

    weight_in_poundsinteger

    The weight in pounds of the resident pet

    Possible values: >= 0

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/resident-pets/yardi/:pet_id
curl -X PUT https://api.propexo.com/v1/resident-pets/yardi/:pet_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"type": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"gender_raw": "string",
"is_fixed": true,
"is_service_animal": true,
"name": "string",
"weight_in_pounds": 0
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"pet_id": "string",
"type": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"gender_raw": "string",
"is_fixed": true,
"is_service_animal": true,
"name": "string",
"weight_in_pounds": 0
}
}